Summary: The elm mail user agent.
Name: elm
Version: 2.5.2
Release: 4scrc
Copyright: distributable
Group: Applications/Internet
Url: http://www.myxa.com/elm.html
Source0: ftp://ftp.virginia.edu/pub/elm/elm%{version}.tar.gz
#Source1: elm.wmconfig
#Source2: elmconf.tar.gz
Patch0: elm-%{version}-config.patch
Patch1: elm-%{version}-libc5conf.patch
Patch2: elm-%{version}-scrcmatchto.patch
Patch3: elm-%{version}-security.patch
# for mmencode...
Requires: metamail
BuildRoot: /var/tmp/%{name}-root

%description
Elm is a popular terminal mode email user agent. Elm includes all
standard mailhandling features, including MIME support via metamail.

Elm is still used by some people, though not as actively developed as
other mail user agents.  If you've used Elm before and you're devoted
to it, you should install the elm package.  If you would like to use
metamail's MIME support, you'll also need to install the metamail package.

%prep
%setup -q -n elm%{version}
#%setup -D -T -a 1  -n elm%{version}
%patch0 -p1 -b .unconf
%patch1 -p1 -b .glibc
%patch2 -p1 -b .nonscrc
%patch3 -p1 -b .unsecure

%build
mkdir -p bin
find . -name '*.SH' -exec sh '{}' ';'	# to apply new config.sh everwhere
make
make documentation
strip bin/* || :

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{bin,lib/elm,man/man1}

make	DESTBIN=$RPM_BUILD_ROOT/usr/bin \
	BIN=$RPM_BUILD_ROOT/usr/bin \
	DESTLIB=$RPM_BUILD_ROOT/usr/lib/elm \
	LIB=$RPM_BUILD_ROOT/usr/lib/elm \
	MAN=$RPM_BUILD_ROOT/usr/man/man1 \
	install

#mkdir -p $RPM_BUILD_ROOT/etc/X11/wmconfig
#install -m 644 $RPM_SOURCE_DIR/elm.wmconfig $RPM_BUILD_ROOT/etc/X11/wmconfig/elm

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
#%config(missingok) /etc/X11/wmconfig/elm
%attr(2755,root,mail) /usr/bin/elm
/usr/bin/answer
/usr/bin/checkalias
/usr/bin/elmalias
/usr/bin/fastmail
/usr/bin/frm
/usr/bin/listalias
/usr/bin/messages
/usr/bin/newalias
/usr/bin/newmail
/usr/bin/nfrm
/usr/bin/printmail
/usr/bin/prlong
/usr/bin/readmsg
/usr/bin/wnewmail
/usr/lib/elm
/usr/man/man1/answer.1
/usr/man/man1/checkalias.1
/usr/man/man1/elm.1
/usr/man/man1/elmalias.1
/usr/man/man1/fastmail.1
/usr/man/man1/frm.1
/usr/man/man1/listalias.1
/usr/man/man1/messages.1
/usr/man/man1/newalias.1
/usr/man/man1/newmail.1
/usr/man/man1/printmail.1
/usr/man/man1/readmsg.1
/usr/man/man1/wnewmail.1
%doc README Overview NOTICE Instruct BUGS Changes config.sh doc/*.fmtd

%changelog
* Tue Jan  4 2000 Gilles Detillieux <grdetil@scrc.umanitoba.ca>
- bumped to release 4scrc, added config.sh patch based on Red Hat's
  elm-2.5.1-1.src.rpm, as well as some of their .spec file stuff
- folded in preferences from virginia.edu's config.sh
- configured to use setgid, as this is needed for .lock file locking in maildir
- took out tcsh patch (this can be done through /usr/lib/elm/elm.rc)
- ported 2.4 security patch to 2.5, so mbox.user goes in /home/user/.mbox.user

* Mon Jan  3 2000 Gilles Detillieux <grdetil@scrc.umanitoba.ca>
- bumped to release 3scrc, added README files & nroffed *.guid* as %doc

* Mon Jan  3 2000 Gilles Detillieux <grdetil@scrc.umanitoba.ca>
- started with contrib/libc6/SRPMS/elm-2.5.2-1.src.rpm from virginia.edu
- backported to libc5 on Red Hat 4.2
- configured in a couple local preferences (tcsh as default shell, match
  "To:" header in messages sent by user)
- cleaned up .spec file a bit (added Url, prlong, put buildroot under /var)
